# SceneHost class

(Fuchsia-only) Hosts content provided by another application.

## Constructors

SceneHost(dynamic exportTokenHandle)
  Creates a host for a child scene. [...]
SceneHost.fromViewHolderToken(dynamic viewHolderTokenHandle, void viewConnectedCallback(), void viewDisconnectedCallback(), void viewStateChangedCallback(bool))

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Releases the resources associated with the child scene host. [...]
setProperties(double width, double height, double insetTop, double insetRight, double insetBottom, double insetLeft, bool focusable) → void
  Set properties on the linked scene. These properties include its bounds, as well as whether it can be the target of focus events or not.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited